#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "basic_io.h"

// le o i-ésimo (definido através de argv[2]) registro do arquivo

int main(int argc, char ** argv){

	File * in;
	int rec_id;
	char * descricao;
	unsigned char * buffer;

	in = open_for_read(argv[1]);

	rec_id = atoi(argv[2]);
	
	buffer = alloc_alligned_buffer(RECORD_SIZE);
	
	seek(in, rec_id * RECORD_SIZE);

	if(read_bytes(in, buffer, RECORD_SIZE) != RECORD_SIZE){

		printf("erro na leitura!\n");
		return 1;
	}

	close_file(in);

	rec_id = ((int*)buffer)[0];
	descricao = (char*) (buffer + sizeof(int));
	
	printf("id registro = %d, descrição = '%s'\n", rec_id, descricao);

	return 0;
}
